-- Schema: C6Staging
-- Stored Procedure: RP_ST_Mappatura

CREATE procedure [C6Staging].[RP_ST_Mappatura] as

begin 

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Mappatura',
		GETDATE(),
		'Elaborazione giornaliera'
	)

	truncate table c6staging.RP_Mappatura

	insert into c6staging.RP_Mappatura

	select *  from [CONSUNI].CatalogoProdotti.dbo.Mappatura
	
	
	
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Mappatura' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Mappatura'
		)
	
end



